/*
 * このソースコードは blanco Frameworkにより自動生成されました。
 */
package blanco.xliff.util.task.valueobject;

/**
 * 処理クラス [BlancoXliffUtilExtractAlttransDiffProcess]の入力バリューオブジェクトクラスです。
 */
public class BlancoXliffUtilExtractAlttransDiffProcessInput {
    /**
     * フィールド [verbose]
     *
     * 項目の型 [boolean]<br>
     * 規定値   [false]<br>
     * verboseモードで動作させるかどうか。
     */
    private boolean fVerbose = false;

    /**
     * フィールド [targetfile]
     *
     * 項目の型 [java.lang.String]<br>
     * 出力対象の XLIFF (*.xlf) ファイル
     */
    private String fTargetfile;

    /**
     * フィールド [xliffdir]
     *
     * 項目の型 [java.lang.String]<br>
     * 入力対象の XLIFF (*.xlf) ファイルが含まれるディレクトリ。
     */
    private String fXliffdir;

    /**
     * フィールド [toolid]
     *
     * 項目の型 [java.lang.String]<br>
     * 差分をチェックする対象となる alt-trans 上の tool-id。nlpack や pleiades などを指定します。
     */
    private String fToolid;

    /**
     * フィールド [verbose]のセッターメソッド
     *
     * 項目の型 [boolean]<br>
     * verboseモードで動作させるかどうか。
     *
     * @param argVerbose フィールド[verbose]に格納したい値
     */
    public void setVerbose(final boolean argVerbose) {
        fVerbose = argVerbose;
    }

    /**
     * フィールド[verbose]のゲッターメソッド
     *
     * 項目の型 [boolean]<br>
     * 規定値   [false]<br>
     * verboseモードで動作させるかどうか。
     *
     * @return フィールド[verbose]に格納されている値
     */
    public boolean getVerbose() {
        return fVerbose;
    }

    /**
     * フィールド [targetfile]のセッターメソッド
     *
     * 項目の型 [java.lang.String]<br>
     * 出力対象の XLIFF (*.xlf) ファイル
     *
     * @param argTargetfile フィールド[targetfile]に格納したい値
     */
    public void setTargetfile(final String argTargetfile) {
        fTargetfile = argTargetfile;
    }

    /**
     * フィールド[targetfile]のゲッターメソッド
     *
     * 項目の型 [java.lang.String]<br>
     * 出力対象の XLIFF (*.xlf) ファイル
     *
     * @return フィールド[targetfile]に格納されている値
     */
    public String getTargetfile() {
        return fTargetfile;
    }

    /**
     * フィールド [xliffdir]のセッターメソッド
     *
     * 項目の型 [java.lang.String]<br>
     * 入力対象の XLIFF (*.xlf) ファイルが含まれるディレクトリ。
     *
     * @param argXliffdir フィールド[xliffdir]に格納したい値
     */
    public void setXliffdir(final String argXliffdir) {
        fXliffdir = argXliffdir;
    }

    /**
     * フィールド[xliffdir]のゲッターメソッド
     *
     * 項目の型 [java.lang.String]<br>
     * 入力対象の XLIFF (*.xlf) ファイルが含まれるディレクトリ。
     *
     * @return フィールド[xliffdir]に格納されている値
     */
    public String getXliffdir() {
        return fXliffdir;
    }

    /**
     * フィールド [toolid]のセッターメソッド
     *
     * 項目の型 [java.lang.String]<br>
     * 差分をチェックする対象となる alt-trans 上の tool-id。nlpack や pleiades などを指定します。
     *
     * @param argToolid フィールド[toolid]に格納したい値
     */
    public void setToolid(final String argToolid) {
        fToolid = argToolid;
    }

    /**
     * フィールド[toolid]のゲッターメソッド
     *
     * 項目の型 [java.lang.String]<br>
     * 差分をチェックする対象となる alt-trans 上の tool-id。nlpack や pleiades などを指定します。
     *
     * @return フィールド[toolid]に格納されている値
     */
    public String getToolid() {
        return fToolid;
    }

    /**
     * このバリューオブジェクトの文字列表現を取得します。
     *
     * オブジェクトのシャロー範囲でしかtoStringされない点に注意して利用してください。
     *
     * @return バリューオブジェクトの文字列表現。
     */
    public String toString() {
        final StringBuffer buf = new StringBuffer();
        buf.append("blanco.xliff.util.task.valueobject.BlancoXliffUtilExtractAlttransDiffProcessInput[");
        buf.append("verbose=" + fVerbose);
        buf.append(",targetfile=" + fTargetfile);
        buf.append(",xliffdir=" + fXliffdir);
        buf.append(",toolid=" + fToolid);
        buf.append("]");
        return buf.toString();
    }
}
